For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet change request configuration
      • PUTUpdate change request configuration
      • POSTCreate or add change to request
      • GETGet all change requests
      • GETGet change request count
      • GETGet scheduled change requests
      • GETGet pending change requests
      • GETGet pending requests for a feature
      • GETGet a change request
      • DELDelete a change request
      • PUTUpdate change request state
      • PUTUpdate change request title
      • PUTEdit a change
      • DELDiscard a change
      • GETGet change request approvers
      • PUTAdd change request reviewers
      • GETGet available reviewers
      • POSTAdd a comment

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIChange requests

Update change request configuration

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/projects/:projectId/environments/:environment/change-requests/config
PUT
/api/admin/projects/:projectId/environments/:environment/change-requests/config
$curl -X PUT https://app.unleash-instance.example.com/api/admin/projects/projectId/environments/environment/change-requests/config \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "changeRequestsEnabled": true
>}'
200Updated
1{}

Enterprise feature

This endpoint will change the change request configuration for a given environment, set it to either on/off and optionally configure the number of approvals needed. The minimum number of approvals is 1 and the maximum number is 10. If you provide a number higher than 10 or lower than 1, Unleash will clamp it to the allowed range.

Was this page helpful?
Previous

Create or add change to request

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
environmentstringRequired

Request

updateChangeRequestEnvironmentConfigSchema
changeRequestsEnabledbooleanRequired

true if change requests should be enabled, otherwise false.

requiredApprovalsintegerOptional>=0
The number of approvals required before a change request can be applied in this environment.

Response

This response has no body.